org.activiti.engine.task

## Interface Attachment

-     public interface Attachment

  Any type of content that is be associated with a task or with a process instance.
  Author:
    Tom Baeyens

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()` long (max 255 chars) explanation what this attachment is about in context of the task and/or process instance it's linked to.
    `String` | `getId()` unique id for this attachment
    `String` | `getName()` free user defined short (max 255 chars) name for this attachment
    `String` | `getProcessInstanceId()` reference to the process instance to which this attachment is associated.
    `String` | `getTaskId()` reference to the task to which this attachment is associated.
    `Date` | `getTime()` timestamp when this attachment was created
    `String` | `getType()` indication of the type of content that this attachment refers to.
    `String` | `getUrl()` the remote URL in case this is remote content.
    `String` | `getUserId()` reference to the user who created this attachment.
    `void` | `setDescription(String description)` long (max 255 chars) explanation what this attachment is about in context of the task and/or process instance it's linked to.
    `void` | `setName(String name)` free user defined short (max 255 chars) name for this attachment
    `void` | `setTime(Date time)` timestamp when this attachment was created

- - ### Method Detail

    - #### getId

          String getId()

      unique id for this attachment

    - #### getName

          String getName()

      free user defined short (max 255 chars) name for this attachment

    - #### setName

          void setName(String name)

      free user defined short (max 255 chars) name for this attachment

    - #### getDescription

          String getDescription()

      long (max 255 chars) explanation what this attachment is about in context of the task and/or process instance it's linked to.

    - #### setDescription

          void setDescription(String description)

      long (max 255 chars) explanation what this attachment is about in context of the task and/or process instance it's linked to.

    - #### getType

          String getType()

      indication of the type of content that this attachment refers to. Can be mime type or any other indication.

    - #### getTaskId

          String getTaskId()

      reference to the task to which this attachment is associated.

    - #### getProcessInstanceId

          String getProcessInstanceId()

      reference to the process instance to which this attachment is associated.

    - #### getUrl

          String getUrl()

      the remote URL in case this is remote content. If the attachment content was `uploaded with an input stream`, then this method returns null and the content can be fetched with `TaskService.getAttachmentContent(String)`.

    - #### getUserId

          String getUserId()

      reference to the user who created this attachment.

    - #### getTime

          Date getTime()

      timestamp when this attachment was created

    - #### setTime

          void setTime(Date time)

      timestamp when this attachment was created

Copyright © 2016 Alfresco. All rights reserved.